<template>
  <section id="main-banner">
    <el-container>
      <el-row class="full-banner">
        <el-col :lg="12" :xs="24" :sm="24" :md="12">
          <div class="main-heading">
            <h1>Better Solutions For Your Business</h1>
            <h3>
              <b
                >We are team of talented designers making websites with
                Bootstrap</b
              >
            </h3>
            <div class="buttons">
              <div>
                <button type="button" class="section-1-btn-1 btn-info">
                  Get Started
                </button>
              </div>
              <div>
                <button type="button" class="btn">
                  <img src="@/assets/images/play.png" />Watch video
                </button>
              </div>
            </div>
          </div>
        </el-col>
        <el-col :lg="12" :xs="24" :sm="24" :md="12">
          <div class="section-1-right">
            <img class="image-fluid" src="@/assets/images/hero-img.png" />
          </div>
        </el-col>
      </el-row>
    </el-container>
  </section>
</template>
<script>
export default {
  date() {
    return {};
  },
};
</script>
<style lang="scss">
#main-banner {
  color: #fff;
  background-color: #37517e;
  .full-banner {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 2% 5%;
  }
  .main-heading {
    text-align: left;

    h1 {
      font-size: 3.2rem;
      font-weight: 500;
      margin: 0;
    }
    h3 {
      font-size: 25px;
      color: rgba(255, 255, 255, 0.6);
    }
    .buttons {
      display: flex;
      align-items: center;
      padding-top: 50px;
      .section-1-btn-1 {
        border-radius: 25px;
        color: #fff;
        border: 2px solid #209dd8;
        background-color: #47b2e4;
        padding: 15px 40px !important;
        font-size: 18px;
        &:hover {
          color: white;
          background-color: #209dd8;
        }
      }
      .btn {
        display: flex;
        align-items: center;

        border: 1px solid #37517e;
        border-radius: 25px;
        padding: 15px 40px;
        background-color: #37517e;
        color: #fff;
        font-size: 20px;
        img {
          width: 40px;
          margin-right: 1rem;
        }
      }
    }
  }
  img {
    width: 100%;
  }
}
@media screen and (min-width: 320px) and (max-width: 767px) {
  #main-banner {
    .el-container {
      .full-banner {
        display: block;
        flex-direction: column-reverse;
        .main-heading {
          text-align: center;
          h1 {
            font-size: 25px;
          }
          h3 {
            font-size: 18px;
          }
          .buttons {
            display: flex;
            justify-content: space-around;
            padding-bottom: 30px;
            .section-1-btn-1 {
              padding: 10px 20px !important;
              font-size: 16px;
            }
            .btn {
              font-size: 16px;
            }
          }
        }
      }
    }
  }
}

@media screen and (min-width: 768px) and (max-width: 991px) {
  #main-banner {
    .el-container {
      .full-banner {
        display: block;
        flex-direction: column-reverse;
        .main-heading {
          text-align: center;
          h1 {
            font-size: 40px;
          }
          h3 {
            font-size: 18px;
          }
          .buttons {
            display: flex;
            padding-left: 15rem;
            padding-bottom: 30px;
            .section-1-btn-1 {
              padding: 10px 20px !important;
              font-size: 16px;
            }
            .btn {
              font-size: 16px;
            }
          }
        }
      }
    }
  }
}

@media screen and (min-width: 992px) and (max-width: 1200px) {
  #main-banner {
    .el-container {
      .full-banner {
        .main-heading {
          text-align: left;
          h1 {
            font-size: 35px;
            font-weight: 600;
          }
          h3 {
            font-size: 18px;
          }
          .buttons {
            display: flex;

            padding-bottom: 30px;
            .section-1-btn-1 {
              padding: 10px 20px !important;
              font-size: 16px;
            }
            .btn {
              font-size: 16px;
            }
          }
        }
      }
    }
  }
}
</style>
